This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1001865 - Review Request: rubygem-parse-cron - Parses cron expressions and calculates the next occurrence
Review Request: rubygem-parse-cron - Parses cron expressions and calculates t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 22:21 EDT by Shawn Starr
Modified: 2013-09-01 15:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:34:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Ken Dreyer 2013-08-29 13:57:58 EDT
as discussed on #fedora-ruby in IRC, I'll take this review.
Comment 2 Shawn Starr 2013-08-29 14:16:18 EDT
Description: 

parses cron expressions and calculates the next occurrence
after a given date
Comment 3 Ken Dreyer 2013-08-29 18:33:41 EDT
Please remove %doc from the three lines listed under "Issues". I assume you'll do this when you import the package into dist-git.

Package approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
The following lines should not be marked as %doc:
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/spec/cron_parser_spec.rb
%doc %{gem_instdir}/spec/spec_helper.rb

Also, you can reduce the two "spec" lines and just list the "spec" directory. It's one less line, and you won't have to worry about missing additional files in the future if upstream decides to alter the layout of this directory down the road.

Lastly, would you mind filing a bug upstream to include "License" in the gem?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[!]: Package uses nothing in %doc for runtime.
See "issues" above - technically those three files should not be %doc.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     License file is present in Git, but upstream does not ship it in the gem.
[x]: License field in the package spec file matches the actual license.
     Yes, MIT.
[-]: License file installed when any subpackage combination is installed.
     License file is present in Git, but upstream does not ship it in the gem.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-parse-cron-0.1.2-1.fc19.noarch.rpm
          rubygem-parse-cron-doc-0.1.2-1.fc19.noarch.rpm
rubygem-parse-cron.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-parse-cron rubygem-parse-cron-doc
rubygem-parse-cron.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'


Requires
--------
rubygem-parse-cron (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-parse-cron-doc (rpmlib, GLIBC filtered):
    rubygem-parse-cron


Provides
--------
rubygem-parse-cron:
    rubygem(parse-cron)
    rubygem-parse-cron

rubygem-parse-cron-doc:
    rubygem-parse-cron-doc


Source checksums
----------------
https://rubygems.org/gems/parse-cron-0.1.2.gem :
  CHECKSUM(SHA256) this package     : d22cf831965717c9327384b311a32e6acbfc027c9ce5e37f183b27f988b58908
  CHECKSUM(SHA256) upstream package : d22cf831965717c9327384b311a32e6acbfc027c9ce5e37f183b27f988b58908


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-i386
Command line :/usr/bin/fedora-review -b 1001865
Comment 4 Shawn Starr 2013-08-29 21:55:58 EDT
1) removed %doc from those files
2) now just use in %files doc : %{gem_instdir}/spec
3) Filed bug with upstream to include License in the gem. (https://github.com/siebertm/parse-cron/issues/14)
Comment 5 Shawn Starr 2013-08-30 18:43:17 EDT
New Package SCM Request
=======================
Package Name: rubygem-parse-cron
Short Description: Parses cron expressions and calculates the next occurrence
Owners: spstarr
Branches: f19 f20 f21
Comment 6 Shawn Starr 2013-08-31 20:55:34 EDT
Oops, the review was + already from Ken
Comment 7 Kevin Fenzi 2013-09-01 14:27:53 EDT
Git done (by process-git-requests).

(There's no such thing as f21 branches yet, the rest done)

Note You need to log in before you can comment on or make changes to this bug.